pilot(1)

Name
pilot - simple file system browser in the style of the Alpine Composer

Syntax
pilot [ options ] [ directory ]

Description
Pilot is a simple, display-oriented file system browser based on the Alpine message system composer. As with Alpine, commands are displayed at the bottom of the screen, and context-sensitive help is provided.

Pilot displays the current working directory at the top of the screen. The directory's contents are displayed in columns of file name, file size pairs. Names that are directories are indicated by the name "(dir)" in place of the file size. The parent of the current working directory is indicated by the file name ".." and size of "(parent dir)". File names that are symbolic links to other files are displayed with a file size of "--".

Several basic file manipulation commands are provided: Delete, Rename, Copy, View, Launch, and Edit. The "View" and "Edit" commands operate on text files only. By default, the "View" command displays files using "alpine -F", but will respect the environment variable PAGER if set. The "Edit" command simply invokes "pico". The "Launch" command provides a convenient way to either execute the selected file or to run an application on it.

More specific help is available in pilot's online help.

Options

-a  Display all files including those beginning with a period (.).

-f  Use function keys for commands. This option supported only in conjunction with UW Enhanced NCSA telnet.

-g  Enable "Show Cursor" mode. Cause cursor to be positioned before the current selection rather than placed at the lower left of the display.

-j  Enable "Goto" command. This enables the command to permit explicitly telling pilot which directory to visit.

-m  Enable mouse functionality. This only works when pilot is run from within an X Window System "xterm" window.

-nn The -nn option enables new mail notification. The n argument is optional, and specifies how often, in seconds, your mailbox is checked for new mail. For example, -n60 causes pilot to check for new mail once every minute. The default interval is 180 seconds, while the minimum allowed is 30. (Note: no space between "n" and the number)

-o dir
    Sets operating directory. Only files within the specified directory are accessible and browsing is limited to the specified directory subtree.

-v  Enable single vertical column display.

-x  Disable keymenu at the bottom of the screen.

-z  Enable ^Z suspension of pilot.

-q  Termcap or terminfo definition for input escape sequences are used in preference to sequences defined by default. This option is only available if pilot was compiled with the TERMCAP_WINS define turned on.

-setlocale_ctype
    Do setlocale(LC_CTYPE) if available. Default is to not do this setlocale.

-no_setlocale_collate
    Do not do setlocale(LC_COLLATE). Default is to do this setlocale.

Authors
Michael Seibel <mikes@cac.washington.edu>
Copyright 1994-2007 by the University of Washington.

See Also
alpine(1)
Source distribution (part of the Alpine Message System):

$Date: 2005/01/14 20:40:14 $